<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
OpenContainingFolder Method (IEdmVault8)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmVault8 Interface : OpenContainingFolder Method (IEdmVault8)

Visual Basic
C#
C++/CLI

oFilePathOrID
  ID or path of file to select; 0 to ignore (see Remarks)

oFolderPathOrID
  ID or path of folder on which to open File Explorer; 0 to ignore

Opens File Explorer on the specified folder and selects the specified file.

# Syntax

Visual Basic |
--- | ---

    Sub OpenContainingFolder( _
       ByVal oFilePathOrID As System.Object, _
       Optional ByVal oFolderPathOrID As System.Object _
    )

C# |
--- | ---

    void OpenContainingFolder(
       System.object oFilePathOrID,
       System.object oFolderPathOrID
    )

C++/CLI |
--- | ---

    void OpenContainingFolder(
    &   System.Object^ oFilePathOrID,
    &   System.Object^ oFolderPathOrID
    )

#### Parameters

oFilePathOrID
  ID or path of file to select; 0 to ignore (see Remarks)
oFolderPathOrID
  ID or path of folder on which to open File Explorer; 0 to ignore

# Example

OpenContainingFolder 102, 33 | Opens folder with ID, 33, and selects file with ID, 102.
OpenContainingFolder “c:\TheVault\SubFolder\test.txt” | Opens folder, SubFolder, and selects file, test.txt.
OpenContainingFolder 0, 45 | Opens the parent folder of folder with ID, 45, and selects the folder with ID, 45.
OpenContainingFolder 321, 0 | Opens first folder where file with ID, 321, is found and selects the file.
OpenContainingFolder 0, “c:\TheVault\SubFolder” | Opens the vault root folder and selects the folder, SubFolder.

# Remarks

If oFilePathOrID is a path to a file, oFolderPathOrID is ignored.

# See Also

####

IEdmVault8 Interface
IEdmVault8 Members

# Availability

SOLIDWORKS PDM Professional Version 6.4